Summary:	fontenc - font encoding library
Summary(pl.UTF-8):	Biblioteka fontenc obsługująca kodowanie fontów
Name:		xorg-lib-libfontenc
Version:	1.1.4
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libfontenc-%{version}.tar.bz2
# Source0-md5:	6447db6a689fb530c218f0f8328c3abc
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fontenc - font encoding library.

%description -l pl.UTF-8
Biblioteka fontenc obsługująca kodowanie fontów.

%package devel
Summary:	Header files for libfontenc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libfontenc
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
# just for dirs
Requires:	xorg-proto-fontsproto-devel
Requires:	zlib-devel

%description devel
fontenc - font encoding library.

This package contains the header files needed to develop programs that
use libfontenc.

%description devel -l pl.UTF-8
Biblioteka fontenc obsługująca kodowanie fontów.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libfontenc.

%package static
Summary:	Static libfontenc library
Summary(pl.UTF-8):	Biblioteka statyczna libfontenc
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
fontenc - font encoding library.

This package contains the static libfontenc library.

%description static -l pl.UTF-8
Biblioteka fontenc obsługująca kodowanie fontów.

Pakiet zawiera statyczną bibliotekę libfontenc.

%prep
%setup -q -n libfontenc-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-encodingsdir=%{_fontsdir}/encodings

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfontenc.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libfontenc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfontenc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfontenc.so
%{_includedir}/X11/fonts/fontenc.h
%{_pkgconfigdir}/fontenc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfontenc.a
%changelog
* Thu Feb 21 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libfontenc.git;a=log;h=master

* Thu Feb 21 2019 Jakub Bogusz <qboosh@pld-linux.org> f13dad7
- updated to 1.1.4

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 2ce1060
- updated to 1.1.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> afdf31a
- x32 rebuild
- release 2 (by relup.sh)

* Fri Apr 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 59605ab
- updated to 1.1.2

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> bc3e154
- updated to 1.1.1

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> b1eca90
- removed unused *.la files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c75732d
- dropped pre-cvs changelog

* Fri Oct 22 2010 Jakub Bogusz <qboosh@pld-linux.org> ab099c9
- updated to 1.1.0

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> 015abc9
- updated util-macros version
- ghost soname symlink
- more verbose file and descriptions
- added README to doc

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 13f642c
- up to 1.0.5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 530c1f6
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 62da97b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d81c3f0
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0448842
- up to 1.0.4

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 08969be
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 55bfd06
- rebuild

* Fri Oct 13 2006 Jakub Bogusz <qboosh@pld-linux.org> c2d824c
- updated to 1.0.3

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 64c1571
- up to 1.0.2

* Sat Apr 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 137e009
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> a64a507
- 1.0.1 (X11R7.0 release)

